Wikia

Sawfish

Configure update

773pages on
this wiki
Talk0
Browse all patches

Author Edit

Christopher Bratusek

Synopsis Edit

Bump version requirements: - pango 1.16 - gtk 2.6 - gdk 2.6

Also includes the version bump for sawfish to 1.3.4

Patch testing Edit

  1. Copy/paste the patch listed below into some file, eg. TEST.diff.
  2. If you don't have sawfish sources yet, have one, as described get it from GIT repo.
  3. Go into the directory where sawfish sources reside, eg. cd sawfish
  4. Test if the patch applies cleanly with this command:
    patch -p1 --ignore-whitespace --dry-run < TEST.diff
    in case of problems try also: -p0 or -p2
  5. If it applies cleanly, then remove the --dry-run from above command and run it again, otherwise ask on the mailing list.
  6. Compile sawfish: ./autogen.sh && make
  7. Install it for testing, but it depends on your linux distribution.
    1. It is always better to install sawfish as your distribution package, but it is different for each distribution.
    2. So you may try make install, which will install sawifish in /usr/local/share/sawfish/ (if you have write access). But then make sure that you run the correct version and delete it from that directory afterwards, to avoid any conflicts.
  8. Se also

PS: edit this template if you feel that those instructions can be improved.

Patch Edit

Index: configure.in
===================================================================
--- configure.in	(Revision 4235)
+++ configure.in	(Arbeitskopie)
@@ -25,7 +25,7 @@
 AC_CONFIG_AUX_DIR(etc)
 
 dnl Release versioning info
-version="1.3.3"
+version="1.3.4"
 subversion=""
 
 output_files="src/Makefile lisp/Makefile scripts/Makefile themes/Makefile\
@@ -129,7 +129,7 @@
 CPPFLAGS="${_cppflags}"
 
 dnl Checks for pango
-PKG_CHECK_MODULES(PANGO, pango >= 1.2.0,
+PKG_CHECK_MODULES(PANGO, pango >= 1.16.0,
   [if $PKG_CONFIG --exists pangoxft; then
      AC_DEFINE(HAVE_PANGO_XFT, 1)
      PANGO_MODULES="pangoxft pangox"
@@ -182,7 +182,7 @@
  [with_gdk_pixbuf=yes])
 if test "$with_gdk_pixbuf" != "no"; then
   AC_MSG_CHECKING([for gdk_pixbuf (xlib version)])
-    PKG_CHECK_MODULES(GDK_PIXBUF, gdk-pixbuf-xlib-2.0 >= 1.3.12)
+    PKG_CHECK_MODULES(GDK_PIXBUF, gdk-pixbuf-xlib-2.0 >= 2.6.0)
     GDK_PIXBUF_VERSION=`pkg-config --modversion gdk-pixbuf-xlib-2.0`
     AC_SUBST(GDK_PIXBUF_VERSION)
     AC_SUBST(GDK_PIXBUF_CFLAGS)
@@ -226,7 +226,7 @@
 AC_SUBST(IMAGE_LIBS)
 AC_SUBST(IMAGE_CFLAGS)
 
-AM_PATH_GTK_2_0(1.3.12)
+AM_PATH_GTK_2_0(2.6.0)
 
 AC_ARG_WITH(audiofile,
  [  --with-audiofile	  Use libaudiofile for sound manipulation

Community's reasons for inclusion or rejection Edit

Patch submitters, please vote also! Yes, obviosuly your vote will be positive, but it's the place to give your explanation why this patch is good for all Sawfish users, and why it is correct - good reasons for inclusion.

When voting anonymously please write your name, so that it can be associated with your posts on the mailing list. If you are logged in you can sign yourself by typing four tilda characters: ~~~~.

  • Yes vote: yes., No vote: no. or Wtf vote: pondering. - no votes yet...
  • Yes vote: yes. Patch tested and applied, thanks. Janek Kozicki 12:25, 4 August 2008 (UTC)

Around Wikia's network

Random Wiki